A102 w/ Dahdi

mattrh

Joined
Jul 15, 2008
Messages
175
Likes
0
Points
0
#1
does anyone know how to get it to work? i am in a jam and need to fix this issue.
 

mattrh

Joined
Jul 15, 2008
Messages
175
Likes
0
Points
0
#2
[root@fapphonesvr ~]# wanrouter start

Starting WAN Router...
Loading WAN drivers: wanpipe FATAL: Error inserting wanpipe (/lib/modules/2.6.18-92.1.22.el5/kernel/drivers/net/wan/wanpipe.ko): Unknown symbol in module, or unknown parameter (see dmesg)

Failed to load wanpipe modules !
 

mattrh

Joined
Jul 15, 2008
Messages
175
Likes
0
Points
0
#3
ok so here is where i am at

<code>[root@fapphonesvr dahdi-linux-2.2.0.1]# service asterisk start
SETTING FILE PERMISSIONS Asterisk
Permissions Asterisk OK
Starting asterisk: [ OK ]
[root@fapphonesvr dahdi-linux-2.2.0.1]# service dahdi start
Loading DAHDI hardware modules:
FATAL: Error inserting dahdi (/lib/modules/2.6.18-92.1.22.el5/dahdi/dahdi.ko): Device or resource busy
wanpipe: [ OK ]

Error: missing /dev/dahdi!
[root@fapphonesvr dahdi-linux-2.2.0.1]# make modules
make -C drivers/dahdi/firmware firmware-loaders
make[1]: Entering directory `/usr/src/dahdi-linux-2.2.0.1/drivers/dahdi/firmware'
make[1]: Leaving directory `/usr/src/dahdi-linux-2.2.0.1/drivers/dahdi/firmware'
make -C /lib/modules/2.6.18-92.1.22.el5/build SUBDIRS=/usr/src/dahdi-linux-2.2.0.1/drivers/dahdi DAHDI_INCLUDE=/usr/src/dahdi-linux-2.2.0.1/include DAHDI_MODULES_EXTRA=" " HOTPLUG_FIRMWARE=yes modules DAHDI_BUILD_ALL=m
make[1]: Entering directory `/usr/src/kernels/2.6.18-92.1.22.el5-i686'

Building modules, stage 2.
MODPOST
WARNING: could not find /usr/src/dahdi-linux-2.2.0.1/drivers/dahdi/vpmadt032_loader/.vpmadt032_x86_32.o.cmd for /usr/src/dahdi-linux-2.2.0.1/drivers/dahdi/vpmadt032_loader/vpmadt032_x86_32.o
</code>
 

mattrh

Joined
Jul 15, 2008
Messages
175
Likes
0
Points
0
#4
FATAL: Error inserting dahdi (/lib/modules/2.6.18-92.1.22.el5/dahdi/dahdi.ko): Device or resource busy
wanpipe: [ OK ]

Error: missing /dev/dahdi!
 

mattrh

Joined
Jul 15, 2008
Messages
175
Likes
0
Points
0
#5
moved back to 1.3-2 now its all good long live zaptel
 

danardf

Joined
Dec 3, 2007
Messages
8,069
Likes
10
Points
88
#6
Hi mattrh!
I don't why, but I had the same problem with a A100P card.
On zaptel, I had already a problem with the IRQ.
I was in 1.3.2 so I had make update to 1.5.2, and i had the same problem like you.

I did make a fresh install to 1.5.2 version, and no problem with dahdi.

For you, I think that you must make a backup, and make a fresh install, and restoring your backup.
 

danardf

Joined
Dec 3, 2007
Messages
8,069
Likes
10
Points
88
#7
Else.... another thing.

Maybe you should make the restore step by step.

After the isntall, make a backup and restore the old install from 1.3.2.
Try the part restore step by step.
I think that I had some surprises. :huh:
 

mattrh

Joined
Jul 15, 2008
Messages
175
Likes
0
Points
0
#8
i have images of this server so i just droped an old image and went back to 1.3-2. i am talking to sangoma support and we are going to try again.

they recommended using the
"frozen feature" release : ftp://ftp.sangoma.com/linux/current_wan ... -3.4.1.tgz

so i will try it tonight
 

danardf

Joined
Dec 3, 2007
Messages
8,069
Likes
10
Points
88
#9
So, ok. If you make an yum update from Elastix 1.5.2, you have this wanpipe vesion. ;)
 

mattrh

Joined
Jul 15, 2008
Messages
175
Likes
0
Points
0
#10
is there a way to remove zaptel before upgrading to elastix
 

Members online

No members online now.

Latest posts

Forum statistics

Threads
30,915
Messages
130,920
Members
17,595
Latest member
feparra121
Top